package com.diaoyun.zion.chinafrica.controller;

import com.diaoyun.zion.chinafrica.entity.TbCfFeedbackEntity;
import com.diaoyun.zion.chinafrica.service.TbCfFeedbackService;
import com.diaoyun.zion.master.base.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 反馈情况Controller
 *
 * @author lipengjun
 * @date 2019-09-05 16:51:07
 */
@Api(tags = "反馈情况")
@RestController
@RequestMapping("feedback")
public class TbCfFeedbackController {
    @Autowired
    private TbCfFeedbackService tbCfFeedbackService;

    @ApiOperation("提交反馈")
    @PostMapping
    public Result saveFeedback(@ApiParam("反馈情况") @RequestBody TbCfFeedbackEntity tbCfFeedbackEntity) {
        return tbCfFeedbackService.saveFeedback(tbCfFeedbackEntity);
    }
}
